#ifndef KD_ZFY_INTERFACE_H_
#define KD_ZFY_INTERFACE_H_

#ifdef __cplusplus
extern "C" {
	
#ifdef WIN32
#define KD_ZFY_API  extern "C" __declspec(dllexport)
#define STDCALL  __stdcall
#else
#define KD_ZFY_API
#define STDCALL
#endif
	
#endif // __cplusplus

/*888888*/
#pragma pack(push, 1)
/* ִ¼Ϣṹ(֤) */
typedef struct  
{
	char cSerial[7+1];         /* ִ¼ǲƷţΪ */
	char userNo[6+1];          /* ִ¼ʹ߾ţΪ */
	char userName[32+1];       /* ִ¼ʹϵͳʹþŹʱΪ */
	char unitNo[12+1];         /* ִ¼ʹߵλţϵͳʹþŹʱΪ */
	char unitName[32+1];       /* ִ¼ʹߵλƣϵͳʹþŹʱΪ */
}ZFY_INFO, *PZFY_INFO;
#pragma pack(pop)

/*  */
typedef enum _RESULT_FLAG
{
	CONNECT_SUCCESS = 0x01,    /* ִ¼ӳɹ */
	CONNECT_FAILED,            /* ִ¼ʧ */
	CHECK_PWD_SUCCESS,         /* ִ¼ǹԱУɹ */
	CHECK_PWD_FAILED,          /* ִ¼ǹԱУʧ */
	SET_SYSTEMTIME_SUCCESS,    /* ִ¼ϵͳʱͬɹ */
	SET_SYSTEMTIME_FAILED,     /* ִ¼ϵͳʱͬʧ */
	MSDC_SUCCESS,              /* ִ¼תƶģʽɹ */ 
	MSDC_FAILED,               /* ִ¼תƶģʽʧ */
	DEVICE_ACK_TIMEOUT,        /* ִ¼Ӧʱ */
}RESULT_FLAG;

/*=================================================================
: Init_Device
    : ʼ
˵:
    IDCode  [IN]     ʶ
    iRet    [OUT]    
  ֵ: true:ɹfalse:ʧ
˵: Ƿӳɹ
=================================================================*/
KD_ZFY_API bool STDCALL Init_Device(const char* IDCode, unsigned short *iRet);

/*=================================================================
: GetIDCode
    : ȡ뼰ƷͺŴ
˵:
    IDCode  [OUT]    ʶ
    iRet    [OUT]    
  ֵ: true:ɹfalse:ʧ
˵: Ƿɹȡʶ
=================================================================*/
KD_ZFY_API bool STDCALL GetIDCode(char* IDCode, unsigned short *iRet);

/*=================================================================
: GetZFYInfo
    : ȡ¼Ϣ
˵:
    info    [OUT]    ִ¼Ϣ
    sPwd    [IN]     Ա
    iRet    [OUT]    
  ֵ: true:ɹfalse:ʧ
˵: Ƿɹȡ¼Ϣ
=================================================================*/
KD_ZFY_API bool STDCALL GetZFYInfo(ZFY_INFO *info, const char* sPwd, unsigned short *iRet);

/*=================================================================
: WriteZFYInfo
    : д¼Ϣ
˵:
    info    [IN]     ִ¼Ϣ
    sPwd    [IN]     Ա
    iRet    [OUT]    
  ֵ: true:ɹfalse:ʧ
˵: Ƿɹд¼Ϣ
=================================================================*/
KD_ZFY_API bool STDCALL WriteZFYInfo(const ZFY_INFO *info, const char* sPwd, unsigned short *iRet);

/*=================================================================
: SyncDevTime
    : ִͬ¼ʱ
˵:
    sPwd    [IN]     Ա
    iRet    [OUT]    
  ֵ: true:ɹfalse:ʧ
˵: Ƿɹͬ¼ʱ
=================================================================*/
KD_ZFY_API bool STDCALL SyncDevTime(const char* sPwd, unsigned short *iRet);

/*=================================================================
: SetMSDC
    : Ϊƶģʽ
˵:
    sPwd    [IN]     Ա
    iRet    [OUT]    
  ֵ: true:ɹfalse:ʧ
˵: ǷɹΪƶ
=================================================================*/
KD_ZFY_API bool STDCALL SetMSDC(const char* sPwd, unsigned short *iRet);

/*=================================================================
: ReadDeviceResolution
    : ȡǰ¼ֱ
˵:
    Width   [OUT]    ֱʿ
    Height  [OUT]    ֱʸ	
    sPwd    [IN]     Ա
    iRet    [OUT]    
  ֵ: true:ɹfalse:ʧ
˵: Ƿɹȡ¼ֱ
=================================================================*/
KD_ZFY_API bool STDCALL ReadDeviceResolution(int *Width, int *Height, const char* sPwd, unsigned short *iRet);

/*=================================================================
: ReadDeviceBatteryDumpEnergy
    : ȡ
˵:
    Battery [OUT]    ٷֱֵ(ȡֵΧ: 0 ~ 100)
    sPwd    [IN]     Ա
    iRet    [OUT]    
  ֵ: true:ɹfalse:ʧ
˵: Ƿɹȡ¼ֱ
=================================================================*/
KD_ZFY_API bool STDCALL ReadDeviceBatteryDumpEnergy(int *Battery, const char* sPwd, unsigned short *iRet);

#ifdef __cplusplus
}
#endif // __cplusplus

#endif //